<? $this->layout()->disableLayout() ?>
<style type="text/css">
    #sales_person_sec {float: right;padding-bottom: 10px;padding-right: 7px}
    #sales_person_sec label{float: right;line-height: 22px; padding-right: 10px}

    #issue-table { width: 635px; }
    #issue-table td { padding:10px; background-color: #F3F3F3 }
    #issue-table th { padding: 10px; text-align: right; vertical-align: top; width: 75px; background-color: #ffffcc}

    #comment-table { width: 615px; border: 1px solid #ccc;margin-bottom: 10px; }
    #comment-table td { padding:10px; background-color: #F3F3F3 }
    #comment-table th { padding: 3px 3px 3px 10px; text-align: left; vertical-align: middle; background-color: #ccc}
    #btn-sale-person {padding-left: 10px;float:right}
    #comments_wrapper { max-height: 185px; overflow: auto; min-height: 20px; }

    #issue-table p { width: 526px; overflow: auto; }

    .attached-view{list-style:none }

</style>
<form class="form-common issue-form" action="<?= $this->baseUrl() ?>/issues/edit?id=" method="post" id="issue-ticket">

	<fieldset>
		<legend>Issue Info</legend>
        <input type="hidden" name="main_id" value="<?= $this->issue->main_id ?>">
        <input type="hidden" name="user_id" value="<?= $this->issue->user_id ?>">
		<div id="sale-person-box" class="fright">
			<div id="btn-sale-person">
				<a id="btn-change-sale-person" ></a>
			</div>
			<div id="sales_person_sec">
				<select id="sale_person" name="sale_person" class="fright">
					<? foreach( $this->sale_persons as $sale): ?>
					<option value="<?= $sale->id ?>" <?= $this->issue->backend_user_id == $sale->id ? 'selected="selected"' : '' ?> > <?= $sale->first_name ?></option>
					<? endforeach; ?>

				</select>
				<label for="sale_person"> Sales Person</label>
			</div>
		</div>
		
		<table id="issue-table">
		  <tr>
			<th><label>Date: </label></th>
			<td><?= date("d M Y H:i", $this->issue->creation_date) ?></td>
		  </tr>
		  <tr>
			<th><label>User ID: </label></th>
			<td>
                    <strong><?= $this->issue->user_id ?></a></strong>
             </td>
		  </tr>
		  <tr>
			<th><label>Username: </label></th>
			<td>
                    <strong><a id="r_<?= $this->issue->usertype ?>" href="<?= $this->baseUrl() ?>/users?id=<?= $this->issue->user_id ?>"><?= $this->issue->username ?></a></strong>
             </td>
		  </tr>
			<? if ($this->issue->usertype == 'escort'): ?>
				<tr>
					<th><label>Escort ID: </label></th>
					<td>
						<strong><?= $this->issue->main_id ?></strong>
					</td>
				</tr>
			<? endif; ?>
		  <tr>
			<th><label>Subject: </label></th>
			<td><h3><?php echo $this->issue->subject;?></h3></td>
		  </tr>
		  <tr>
			<th><label>Message: </label></th>
			<td><?php echo $this->issue->message;?></td>
		  </tr>
		  <? if($this->issue_attachment): ?>
		  <tr>
			  <th><label>Attachments: </label></th>
			  <td>
				<ui class="attached-view">
				  <? foreach($this->issue_attachment as $file): ?>
					<li><a href="<?= $file['file_url'] ?>" target="_blanck"><?= $file['file_name'] ?></a> </li>

					<? endforeach; ?>
				</ui>	
			  </td>
		  </tr>
		  <? endif;?>
		</table>
	</fieldset>
	
	<fieldset class="mt10">
		<legend>Comments</legend>

		<div id="comments_wrapper" style="margin-bottom: 10px;">
			<?= $this->layout()->render('/issues/ajax-comments-list') ?>
		</div>

		<div class="inner">
			<select name="templates" id="i-templates" style="margin-bottom: 20px;">
				<option value="">--- Use Template ---</option>
				<? foreach ($this->issue_templates as $temp): ?>
					<option value="<?= $temp->id ?>"><?= $temp->title ?></option>
				<? endforeach; ?>
			</select>
			<div class="clear"></div>
			
			<textarea class="txt issue-comment" name="comment" id="comment" style="width:400px;"></textarea>
			<div class="clear"></div>

            <div id="form-upload1">
                <div id="filecontrol1" ></div>
                <div class="clear"></div>
            </div>

			<a id="btn-add-comment"></a>
		</div>
		<div class="clear"></div>
	</fieldset>
</form>